package model

type WaferList struct {
	OrderDate      string  `json:"order_date"`      // 下单日期
	PBI            string  `json:"pbi"`             // 订单号
	Product        string  `json:"product"`         // 晶圆型号
	Factory        string  `json:"factory"`         // 晶圆厂
	WaferSize      string  `json:"wafer_size"`      // 晶圆尺寸
	Quantity       float64 `json:"quantity"`        // 投片数量
	OnlineQuantity float64 `json:"online_quantity"` // 在线数量
	ReturnDate     string  `json:"return_date"`     // 回货日期
	Lot            string  `json:"lot"`             // 批号
	ReturnQuantity float64 `json:"return_quantity"` // 回货数量
}

type ABList struct {
	OrderDate        string         `json:"order_date"`         // 下单日期
	PBI              string         `json:"pbi"`                // 订单号
	OutsourcingPBI   string         `json:"outsourcing_pbi"`    // 委外工单号
	Product          string         `json:"product"`            // 成品型号
	WaferProduct     string         `json:"wafer_product"`      // 晶圆型号
	Package          string         `json:"package"`            // 封装
	Factory          string         `json:"factory"`            // 封装厂
	Lot              string         `json:"lot"`                // 批号
	Seal             string         `json:"seal"`               // 丝印
	WaferID          string         `json:"wafer_id"`           // 片号
	Quantity         float64        `json:"quantity"`           // 订单数量
	OnlineQuantity   float64        `json:"online_quantity"`    // 在线数量
	IsFinish         string         `json:"is_finish"`          // 是否已完成
	PassProbability  string         `json:"pass_probability"`   // 良率
	StockOutQuantity float64        `json:"stock_out_quantity"` // 出库数
	StockInQuantity  float64        `json:"stock_in_quantity"`  // 入库数
	FailQuantity     float64        `json:"fail_quantity"`      // 封装不良品
	ABWaferList      []*ABWaferList `json:"ab_wafer_list"`
}

type ABWaferList struct {
	Material      string `json:"material"`      // 料号
	Product       string `json:"product"`       // 品名
	Specification string `json:"specification"` // 规格
	Lot           string `json:"lot"`           // 批号
	WaferID       string `json:"wafer_id"`      // 片号
}
