package request

type PackagePassProbabilityLine struct {
	Product        []string `json:"product"`          // 成品型号
	Lot            []string `json:"lot"`              // 晶圆批次
	Package        []string `json:"package"`          // 封装形式
	Factory        []string `json:"factory"`          // 封装厂
	OrderDateStart string   `json:"order_date_start"` // 下单日期开始时间
	OrderDateEnd   string   `json:"order_date_end"`   // 下单日期结束时间
	DateSize       string   `json:"date_size"`        // 时间大小
}

type PassProbabilityByFactory struct {
	Factory string `json:"factory"` // 封装厂
	Type    string `json:"type" validate:"required"`
}

type PassProbabilityByProduct struct {
	Product string `json:"product" validate:"required"` // 成品型号
	Factory string `json:"factory"`                     // 封装厂
	Type    string `json:"type" validate:"required"`
}
