package request

type WaferList struct {
	OrderDate      string `json:"order_date"`      // 下单日期
	PBI            string `json:"pbi"`             // 订单号
	Product        string `json:"product"`         // 晶圆型号
	Factory        string `json:"factory"`         // 晶圆厂
	WaferSize      string `json:"wafer_size"`      // 晶圆尺寸
	Quantity       string `json:"quantity"`        // 投片数量
	OnlineQuantity string `json:"online_quantity"` // 在线数量
	ReturnDate     string `json:"return_date"`     // 回货日期
	Lot            string `json:"lot"`             // 批号
	ReturnQuantity string `json:"return_quantity"` // 回货数量
}

type ABList struct {
	OrderDate        string `json:"order_date"`         // 下单日期
	PBI              string `json:"pbi"`                // 订单号
	Product          string `json:"product"`            // 成品型号
	WaferProduct     string `json:"wafer_product"`      // 晶圆型号
	Package          string `json:"package"`            // 封装
	Factory          string `json:"factory"`            // 封装厂
	Lot              string `json:"lot"`                // 批号
	Seal             string `json:"seal"`               // 丝印
	WaferID          string `json:"wafer_id"`           // 片号
	Quantity         string `json:"quantity"`           // 订单数量
	OnlineQuantity   string `json:"online_quantity"`    // 在线数量
	IsFinish         string `json:"is_finish"`          // 是否已完成
	PassProbability  string `json:"pass_probability"`   // 良率
	StockOutQuantity string `json:"stock_out_quantity"` // 出库数
	StockInQuantity  string `json:"stock_in_quantity"`  // 入库数
	FailQuantity     string `json:"fail_quantity"`      // 封装不良品
}

type CPList struct {
	WaferProduct string `json:"wafer_product"` // 晶圆型号
	Lot          string `json:"lot"`           // 晶圆批号
	Factory      string `json:"factory"`       // CP厂
	PBI          string `json:"pbi"`
	OrderDate    string `json:"order_date"`   // 下单日期
	TestMachine  string `json:"test_machine"` // 测试机台
	QueryType    string `json:"query_type"`   // 查询类型
	Page         int    `json:"page"`
	PageSize     int    `json:"page_size"`
}

type FTList struct {
	Product string `json:"product"` // 成品型号
	Lot     string `json:"lot"`     // 晶圆批号
	//SubBatch    string `json:"sub_batch"`    // 子批次
	Factory     string `json:"factory"`      // 测试厂
	TestProgram string `json:"test_program"` // 测试程序
	PBI         string `json:"pbi"`
	OrderDate   string `json:"order_date"` // 下单日期
	Seal        string `json:"seal"`       // 丝印
	QueryType   string `json:"query_type"` // 查询类型
	Page        int    `json:"page"`
	PageSize    int    `json:"page_size"`
}
